
TYPO3.Flow - Bug # 28733

Status: Resolved Priority: Must have
Author: Sebastian Kurfuerst Category: Cache
Created: 2011-08-04 Assigned To:
Updated: 2011-08-23 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Implement LockManager for avoiding Race Conditions
Description

Related issues:
related to TYPO3.Flow - Task # 3755: Concurrency stress testing and cache mec... New 2009-06-25
related to TYPO3.Flow - Bug # 27989: Wrong check in our atomic writes code Resolved 2011-07-08

Associated revisions
Revision 71d18d4c - 2011-08-23 16:52 - Robert Lemke

[FEATURE] Re-introduce Lock Manager

This reintroduces the Lock Manager which locks the whole site while
compile time commands are executed. The Lock Manager will protect
applications running in Production context against race conditions
during cache warming and other code manipulating commands.

The Lock Manager is not active in Development or Testing context.

Change-Id: I764d8df0a31aa8bd84463be88f7375e843de4ef9
Resolves: #28733

History
#1 - 2011-08-23 16:27 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I764d8df0a31aa8bd84463be88f7375e843de4ef9 has been pushed to the review server.
It is available at http://review.typo3.org/4550

#2 - 2011-08-23 16:52 - Mr. Hudson

Patch set 2 of change I764d8df0a31aa8bd84463be88f7375e843de4ef9 has been pushed to the review server.
It is available at http://review.typo3.org/4550

#3 - 2011-08-23 20:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:71d18d4cba24363bf4fe104719f497713b447439.
